BankAccountValidation_Batch_Validate
curl --request GET \
--url 'https://api.addressy.com/BankAccountValidation/Batch/Validate/v1.00/json6.ws?Key='import requests
url = "https://api.addressy.com/BankAccountValidation/Batch/Validate/v1.00/json6.ws?Key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.addressy.com/BankAccountValidation/Batch/Validate/v1.00/json6.ws?Key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Items": [
{
"OriginalAccountNumber": "12345678",
"OriginalSortCode": "112233",
"IsCorrect": "False",
"IsDirectDebitCapable": "False",
"StatusInformation": "UnknownSortCode",
"CorrectedSortCode": "",
"CorrectedAccountNumber": "",
"IBAN": "",
"Bank": "",
"BankBIC": "",
"Branch": "",
"BranchBIC": "",
"ContactAddressLine1": "",
"ContactAddressLine2": "",
"ContactPostTown": "",
"ContactPostcode": "",
"ContactPhone": "",
"ContactFax": ""
}
]
}Batch Bank Validation
Validate multiple UK bank accounts and sort codes in bulk. Returns corrected details, IBAN, and branch information.
GET
/
BankAccountValidation
/
Batch
/
Validate
/
v1.00
/
json6.ws
BankAccountValidation_Batch_Validate
This method will consume credit.
We don’t support API connections using HTTP - all calls should use HTTPS.
This endpoint also accepts POST requests with parameters supplied as application/x-www-form-urlencoded.
Authorizations
Query Parameters
The key to use to authenticate to the service.
The bank account number to validate.
The branch sortcode for the account number.
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

